[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TButtonGlyph.DoChange

Performs actions needed when the glyph image has been changed for the class instance.

## Declaration

Source position: buttons.pp line 116

`protected procedure TButtonGlyph.DoChange; virtual;`

## Description

DoChange is a procedure used to performs actions needed when the glyph image has been changed for the class instance. DoChange signals the OnChange event handler (when assigned).

## See also

TButtonGlyph.OnChange |  | Event handler signalled when the bitmap in Glyph has been changed.
TButtonGlyph.GlyphChanged |  | Provides a default implementation for the OnChange event handler.